package com.perforce.maven.scm.provider.p4;

/**
 * Copyright (c) 2010 Perforce Software. All rights reserved.
 */

import org.apache.maven.shared.release.scm.ScmTranslator;

/**
 * @plexus.component role="org.apache.maven.shared.release.scm.ScmTranslator" role-hint="p4"
 */
public class P4ScmTranslator
    implements ScmTranslator
{

    /** {@inheritDoc} */
    public String translateBranchUrl( String url, String branchName, String branchBase )
    {
        return url;
    }

    /** {@inheritDoc} */
    public String translateTagUrl( String url, String tag, String tagBase )
    {
        return url;
    }

    /** {@inheritDoc} */
    public String resolveTag( String tag )
    {
        return tag;
    }

    /** {@inheritDoc} */
    public String toRelativePath( String path )
    {
        return path;
    }
}
